
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>浏览器拦截跨域请求处理方法(已阻止跨源请求:同源策略禁止读取远程资源) / 憋错料</title>

    <meta name="description" content="浏览器拦截跨域请求处理方法(已阻止跨源请求:同源策略禁止读取远程资源) 原文地址:http://my.oschina.net/lichaoqiang/blog/317823 在浏览器请求中,出现跨域访问资源的问题,我们肯定会遇到.如果跨域请求被阻止,有可能导致css.js .ajax请求.font字体等资源出现无法正常访问的问题.接下来,就介绍下解决同源策略不允许读取远程资源的问题. 今天就谈下远程字体跨域的问题. 直接了当了说,解决此类问题,最直接的方法就是,就是给被请求的服务器,添加HTTP头响应头,这里提供两种添加HTTP头的方法: 第一种,就是在程序中添加H">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">浏览器拦截跨域请求处理方法(已阻止跨源请求:同源策略禁止读取远程资源)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>原文地址：<a href="http://my.oschina.net/lichaoqiang/blog/317823" rel="external nofollow noreferrer">http://my.oschina.net/lichaoqiang/blog/317823</a></p>
<blockquote><p>在浏览器请求中，出现跨域访问资源的问题，我们肯定会遇到。如果跨域请求被阻止，有可能导致css、js 、ajax请求、font字体等资源出现无法正常访问的问题。接下来，就介绍下解决同源策略不允许读取远程资源的问题。</p></blockquote>
<p>今天就谈下远程字体跨域的问题。</p>
<p>直接了当了说，解决此类问题，最直接的方法就是，就是给被请求的服务器，添加HTTP头响应头，这里提供两种添加HTTP头的方法：</p>
<p><strong> 第一种，就是在程序中添加HTTP头：</strong></p>
<pre>如： Response.Headers.Add("Access-Control-Allow-Origin", "*");
// JSON
{
  ‘Access-Control-Allow-Origin‘: ‘*‘,
}// HTML&lt;meta http-equiv="Access-Control-Allow-Origin" content="*"&gt;</pre>
<p>添加此段代码的目的很简单，也就是告诉浏览器，这个资源是运行远程所有域名访问的。当然，此处的*也可以替换为指定的域名，出于安全考虑，建议将*替换成指定的域名。</p>
<p><strong>第二种，就是在服务器上，添加HTTP响应头。在这里，我们就以IIS6.0为例：</strong></p>
<p>在被请求的网站上，设置HTTP头，添加&ldquo;</p>
<pre>//在被请求的网站上，设置HTTP头，添加
"Access-Control-Allow-Origin:*" //值为*或指定的域名。</pre>
<p><strong>第三种，使用JSONP格式，即在jQuery中ajax请求参数dataType:‘JSONP‘：</strong><strong>&nbsp; &nbsp;</strong></p>
<pre>&lt;script&gt;
    $.ajax({
        url:"http://map.oicqzone.com/gpsApi.php?lat=22.502412986242&amp;lng=113.93832783228",
        type:‘GET‘,
        dataType:‘JSONP‘,  // 处理Ajax跨域问题
        success: function(data){
            $(‘body‘).append( "Name: " + data );
        }
    });
&lt;/script&gt;</pre>
<p>一般完成以上工作，就可以了。网上还有说在被请求服务器根目录下创建:"crossdomain.xml"的文件。内容格式如下：</p>
<pre>&lt;?xml version="1.0"?&gt;
&lt;cross-domain-policy&gt;
  &lt;allow-access-from domain="*" /&gt;
&lt;/cross-domain-policy&gt;</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 02:16:44 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>浏览器拦截跨域请求处理方法(已阻止跨源请求:同源策略禁止读取远程资源)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49wkDW0.html" rel="bookmark">浏览器拦截跨域请求处理方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				解决跨域的解决办法有多种,比如jsonp,或者apache 或者nigix里面配置,或者后端的php或者java中配置 cross orgion. 在网上搜了一圈,发现处理方式都差不多,但是我们得清楚这些到底怎么用. 先看下这段代码: &lt;?xml version=&quot;1.0&quot;?&gt; &lt;cross-domain-policy&gt; &lt;allow-access-from domain=&quot;*&quot; /&gt; &lt;/cross-domain-poli			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wmGolM.html" rel="bookmark">header头设置解决   &OpenCurlyDoubleQuote;已拦截跨源请求：同源策略禁止读取位于 http&colon;&sol;&sol;47&period;104&period;128&period;87&sol;back&sol;test&sol;test 的远程资源。（原因：CORS 头缺少 &amp;&num;39&semi;Access-Control-Allow-Origin&amp;&num;39&semi;）。&rdquo;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				跨域请求错误提示如下图: 解决方法在请求的php页面添加header头: 代码如下: public function test() { //支持全域名访问,不安全,部署后需要固定限制为客户端网址 header('Access-Control-Allow-Origin:*'); //支持的http 动作 header('Access-Control-Allow-Methods:POST,GET,OPTIONS,DELETE'); //响应头 请按照自己需求添加. header('Access-Co			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02bpgo0.html" rel="bookmark">浏览器拦截跨域请求处理方法-firefox报错，同源策略不允许读取XXX上的远程资源</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用post请求域名不相同的资源的话,可以用cors跨域. 1) 在被请求的项目根目录(root下)下放以下文件 crossdomain.xml [html] view plaincopyprint? &lt;?xml version=&quot;1.0&quot;?&gt; &lt;!DOCTYPE cross-domain-policy SYSTEM &quot;./cross-domain-policy.dtd&quot;&gt; &lt;cross-domain-policy&gt; &lt;si			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ORAB70.html" rel="bookmark">解决ajax跨域的方法原理详解之Cors方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.神马是跨域(Cross Domain) 对于端口和协议的不同,只能通过后台来解决. 一句话:同一个ip.同一个网络协议.同一个端口,三者都满足就是同一个域,否则就是 跨域问题了.而为什么开发者最初不直接定为一切可跨域的呢?默认的为什么都是不可跨域呢?这就涉及到了同源策 略,为了系统的安全,由Netscape提出一个著名的安全策略.现在所有支持JavaScript的浏览器都会使用这个策略. 所谓同源是,域名,协议,端口相同.当我们在浏览器中打开百度和谷歌两个网站时,百度浏览器在执行一个脚本的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6EYy54.html" rel="bookmark">ajax 跨域解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近在开发过程中,使用ajax去异步调取图片.在开发中这个功能没什么问题,可以后来提测,重新部署之后就有问题了,这就是ajax的跨域问题. ajax本身是不支持跨域的,这是由于javascript的同源策略所导致.但是我们可以通过其他方法来解决ajax的跨域问题. 1  由于我们是利用了jquery来写的ajax,我们一开始是准备 利用jsonp来解决的,客户端类似下面写法 $.ajax({ type : &quot;get&quot;, async:false, url : &quot;http://w			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0l2gGB4.html" rel="bookmark">跨域限制原因及常见跨域方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				跨域 游览器的同源策略(浏览器对JavaScript施加的安全限制)(也就是说服务端不受限制) 同源策略: 1.DOM同源策略:禁止对不同源页面DOM进行操作.这里主要场景是iframe跨域的情况,不同域名的iframe是限制互相访问的. 2.XmlHttpRequest同源策略:禁止使用XHR对象向不同源的服务器地址发起HTTP请求. 定义:协议.域名.端口任意一个不同,就产生跨域 PS:协议不同 如http.https 跨域限制的原因: 1.AJAX同源策略主要用来防止CSRF攻击.如果没有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xrkWL4.html" rel="bookmark">web项目中的跨域问题解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一种是JSONP 一种是 CORS. 在客户端Javascript调用服务端接口的时候,如果需要支持跨域的话,需要服务端支持. JSONP的方式就是服务端对返回的值进行回调函数包装,他的优点是支持众多的浏览器, 缺点是仅支持Get的方式对服务端请求. 另一种主流的跨域方案是CORS,他仅需要服务端在返回数据的时候在相应头中加入标识信息.这种方式非常简便.唯一的缺点是需要浏览器的支持,一些较老的浏览器可能不支持CORS特性. 跨域支持是创建WebService时应该考虑的一个功能点,文中是使用Se			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0e2WrE3.html" rel="bookmark">Ajax跨域请求 同源策略与Jsonp</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				同源策略(Same origin policy)是一种约定,它是浏览器最核心也最基本的安全功能,如果缺少了同源策略,则浏览器的正常功能可能都会受到影响.可以说Web是构建在同源策略基础之上的,浏览器只是针对同源策略的一种实现.同源策略,它是由Netscape提出的一个著名的安全策略.现在所有支持JavaScript 的浏览器都会使用这个策略.所谓同源是指,域名,协议,端口相同.当一个浏览器的两个tab页中分别打开来 百度和谷歌的页面当浏览器的百度tab页执行一个脚本的时候会检查这个脚本是属于哪个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mov91b4.html" rel="bookmark">AJAX跨域问题解决方法（1）&mdash;&mdash;禁止浏览器进行跨域限制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				思路:通过命令行修改浏览器启动参数,使得浏览器不进行跨域检查,从而允许跨域 方法:命令行参数启动浏览器后添加参数--disable-web-security 例:chrome --disable-web-security --disabl-web-security参数的作用是禁止浏览器进行跨域检查 但是,这种方法有三个缺点: 1.每次启动浏览器都需要通过命令行启动,太过繁琐 2.该方法会导致安全性方面的问题 3.该方法是客户端方面的改动,在实际使用中,在每个客户端上都禁止浏览器进行跨域检查不太现			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/pMPeZP0.html" rel="bookmark" class="title">浅谈html标签</a>
					<div>
						浅谈html各常用标签用法 标题标签:&lt;h1&gt;-&lt;h6&gt;来表示,使标题字体变粗. &lt;br /&gt;换行标记 &lt;hr /&gt;水平分隔符 &amp;nbsp空格符 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/BMzyq84.html" rel="bookmark" class="title">遍历脚本调用接口wiki</a>
					<div>
						#!/bin/bash #set -x #allid=`curl http://xx/wiki/children.json?pageid=$1   2&gt;/dev/null |awk -F &qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/E3wkaZ3.html" rel="bookmark" class="title">jsp 有哪些动作&quest;作用分别是什么&quest;</a>
					<div>
						答:JSP 共有以下 6 种基本动作jsp:include: 在页面被请求的时候引入一个文件.jsp:useBean: 寻找或者实例化一个 JavaBean.jsp:setProperty: 设置 J ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/L3r6Rv3.html" rel="bookmark" class="title">PHP入门</a>
					<div>
						1.标记与注释两种方式 //单行注释 /*多行注释*/ 2.输出语句 echo输出:echo可以输出多个字符串,逗号隔开 print输出:print只能输出一个字符串,返回true或false pri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPNPDv3.html" rel="bookmark" class="title">Aizu - 2249 Road Construction</a>
					<div>
						题目:给出若干个建筑之间的一些路,每条路都有对应的长度和需要的花费,问在保证源点1到其他个点的距离最短的情况下,最少的花费是多少/ 思路:和一般的最短路问题相比,多了一个 数组id[i],用来记录到达 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pReoK0.html" rel="bookmark" class="title">Python Show-Me-the-Code 第 0017&comma;0018&comma;0019 题 写XML文件</a>
					<div>
						第 0017 题: 将 第 0014 题中的 student.xls 文件中的内容写到 student.xml 文件中,如下所示: &lt;?xml version=&quot;1.0&quot; e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3O7jD73.html" rel="bookmark" class="title">&lbrack;补档计划&rsqb; 覆盖子串与循环节</a>
					<div>
						覆盖子串与循环节的概念 首先还是给覆盖子串和循环节下个定义. 为了方便后面的描述, 我们定义布尔记号 $P_S^T$ , 表示 $T$ 是否为 $S$ 的前缀. 对于一个定义, 为了对它有足够充分的了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ONygg0.html" rel="bookmark" class="title">linux压缩、解压缩及归档工具</a>
					<div>
						压缩.解压缩及归档工具 compress/uncompress: .Z    gzip/gunzip: .gz    bzip2/bunzip2: .bz2    xz/unxz: .xz    zi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MomwRk3.html" rel="bookmark" class="title">一个方便的快捷键（XKILL）</a>
					<div>
						好讨厌程序卡死,好不好... 设置--&gt;键盘--&gt;快捷键 添加自定义快捷键 就用xkill,有的程序会后台,如果卡sudo top 查看,然后kill掉吧 点右边,按下快捷键盘[Shift ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e5jJD0.html" rel="bookmark" class="title">线程浅析</a>
					<div>
						1.进程与线程 一个进程包含多个线程.可以把进程当做一个应用程序. 操作系统分配一段时间给一个进程,让CPU执行该进程.进程再将时间片段分割给各个线程 2.创建线程(Thread)的方法 //方法一  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qvraP4.html" rel="bookmark" class="title">VirtualBox - 自动调整屏幕大小，显示分辨率</a>
					<div>
						在VirtualBox中安装了Ubuntu后,Ubuntu的屏幕调整不太好,操作起来非常不方便,需要安装Vbox的增强功能.具体如下:1, 在  设备--&gt; 安装增强功能这时会自动加载VBOXA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBRNjAM.html" rel="bookmark" class="title">Adreno Profiler分析任意安卓游戏特效&plus;抓取资源</a>
					<div>
						听说可以抓去任意游戏特效..保存下,有空研究 AdrenoProfiler 下载地址 Adreno Profiler分析任意安卓游戏特效+抓取资源 教程					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jndLZ0.html" rel="bookmark" class="title">操作文件基础知识</a>
					<div>
						Linux 文件含义 文件和文件夹 文件属性 内容 (&quot;路径/文件名&quot;)filetype(&quot;&quot;)获取文件类型 文件类型:文件 图片 文件:目录或文件 dir 目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aY79E0.html" rel="bookmark" class="title">AndroidStudio之Failed to create JVM&colon;erroe code -4问题</a>
					<div>
						几个月没有碰Android Studio了,打开时却突然出现了这样的错误: 我可是百事不得其解啊!我最后一次使用的时候都好好的,现在居然说我的Java环境变量有问题.我一看环境变量也没有问题啊,于是就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KOmxj0.html" rel="bookmark" class="title">Left Shift Array with O&lpar;l&rpar; time complexity and O&lpar;1&rpar; space complexity</a>
					<div>
						Algorithm 1: public static void main(String[] args) { int[] a = new int[]{1,2,3,4,5,6,7,8,9,10,11,12 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wjXql0.html" rel="bookmark" class="title">谈谈如何从Apache官网扒文档</a>
					<div>
						学习java的猴子至少要会看文档, 一.从Apache官网下载文档 进入官网--components--例如点击FileUpload--点击最下面browser download area--点击bi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l755NM.html" rel="bookmark" class="title">安卓布局查看器uiautomatorviewer的使用</a>
					<div>
						今天在看别人写的代码,但是由于布局文件嵌套太多,并且代码中多处对ui进行的改动,导致很难理解布局格式, 于是,找到了这个工具uiautomatorviewer,好,开始搞起. uiautomatorv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lN92E4.html" rel="bookmark" class="title">写入和读取外部存储文件</a>
					<div>
						//写入外部存储文件 public void bt6_OnClick(View v) { //1.判断sd卡是否挂载 if (Environment.getExternalStorageState() ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Jj9qY4.html" rel="bookmark" class="title">三、turtle库基础练习</a>
					<div>
						画一组同切圆 import turtle turtle.circle(20) turtle.circle(40) turtle.circle(60) turtle.circle(80) turtle. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Qoeq20.html" rel="bookmark" class="title">一个很好用的系统管理的命令lsof（转载）</a>
					<div>
						最近发现LOSF 命令在系统管理方面特别有用,把我搜集的资料总结如下 1.当在lsof后边没有跟任何参数时,该命令将会列出当前系统中被所有进程打开的所有文件#lsof|nl #nl命令打印出行号 2. ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
